Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Class UnmodifiableListIterator<E>

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<E>
          com.google.common.collect.UnmodifiableListIterator<E>

All Implemented Interfaces:
  Iterator<E>, ListIterator<E>

    @GwtCompatible
    public abstract class UnmodifiableListIterator<E>

extends UnmodifiableIterator<E>
implements ListIterator<E>

A list iterator that does not support `UnmodifiableIterator.remove()`, `add(E)`, or `set(E)`.

Since:
  7.0
Author:
  Louis Wasserman

Constructor Summary
`protected` | `UnmodifiableListIterator()` Constructor for use by subclasses.

Method Summary
`void` | `add(E e)` Guaranteed to throw an exception and leave the underlying data unmodified.
`void` | `set(E e)` Guaranteed to throw an exception and leave the underlying data unmodified.

Methods inherited from class com.google.common.collect.UnmodifiableIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.ListIterator
`hasNext, hasPrevious, next, nextIndex, previous, previousIndex, remove`

Constructor Detail

### UnmodifiableListIterator

    protected UnmodifiableListIterator()

  Constructor for use by subclasses.

Method Detail

### add

    public final void add(E e)

  Guaranteed to throw an exception and leave the underlying data unmodified.

  Specified by:
    `add` in interface `ListIterator<E>`
  Throws:
    `UnsupportedOperationException` - always

### set

    public final void set(E e)

  Guaranteed to throw an exception and leave the underlying data unmodified.

  Specified by:
    `set` in interface `ListIterator<E>`
  Throws:
    `UnsupportedOperationException` - always

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.